Bug 1732837 - [RFE] Provide a way to display validation messages from Automate methods
Summary: [RFE] Provide a way to display validation messages from Automate methods
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: GA
: cfme-future
Assignee: Tina Fitzgerald
QA Contact: Sudhir Mallamprabhakara
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-24 13:30 UTC by Roman Blanco
Modified: 2019-12-18 14:35 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-18 14:35:23 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)

Description Roman Blanco 2019-07-24 13:30:24 UTC
Description of problem:

If user implements his own validation through Automate methods, there is no way to display the methods in Dialog User in a consistent way with other validation methods.

The only way to inform about an error is to display the error message inside of TextBox/TextArea.

The goal is to provide a way to display error messages from Automate methods in Dialog User.

Comment 2 Dave Johnson 2019-07-29 20:03:03 UTC
Please assess the impact of this issue and update the severity accordingly.  Please refer to https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity for a reminder on each severity's definition.

If it's something like a tracker bug where it doesn't matter, please set the severity to Low.


Note You need to log in before you can comment on or make changes to this bug.